<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title">Ajouter Emplacement</h4>
                    </div>
                    <div class="card-body">
                        <form [formGroup]="form">
                            <div class="row">
                                <div class="col-md-6">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Reference" formControlName="reference" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('reference')"> Champ reference manquant</span>
                                </div>
                                <div class="col-md-6">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Type" formControlName="type" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('type')"> Champ type manquant</span>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Libellé emplacement" formControlName="libelle_emplacement" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('libelle_emplacement')"> Champ libellé emplacement manquant  </span>
                                </div>
                                <div class="col-md-6">
                                    <mat-form-field class="example-full-width">
                                        <input matInput placeholder="Description" formControlName="description" type="text">
                                    </mat-form-field>
                                </div>

                            </div>
                            <button mat-raised-button type="reset" class="btn btn-danger pull-right" (click)="reset()" >Annuler </button>
                            <button mat-raised-button type="submit" class="btn  btn-success pull-right"
                                    [disabled]="form.invalid" (click)="addEmplacement()">Ajouter</button>
                            <div class="erreur">{{errorMessage}}</div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
